### Enumeration

# FwupdPlugin EfiVariableAttrs

#### Declaration

    enum FwupdPlugin.EfiVariableAttrs

#### Description

No description available.

#### Members

`FU_EFI_VARIABLE_ATTR_NONE`

  No description available.

  - Value: `0`
  - Available since: 1.0
`FU_EFI_VARIABLE_ATTR_NON_VOLATILE`

  No description available.

  - Value: `1`
  - Available since: 1.0
`FU_EFI_VARIABLE_ATTR_BOOTSERVICE_ACCESS`

  No description available.

  - Value: `2`
  - Available since: 1.0
`FU_EFI_VARIABLE_ATTR_RUNTIME_ACCESS`

  No description available.

  - Value: `4`
  - Available since: 1.0
`FU_EFI_VARIABLE_ATTR_HARDWARE_ERROR_RECORD`

  No description available.

  - Value: `8`
  - Available since: 1.0
`FU_EFI_VARIABLE_ATTR_AUTHENTICATED_WRITE_ACCESS`

  No description available.

  - Value: `16`
  - Available since: 1.0
`FU_EFI_VARIABLE_ATTR_TIME_BASED_AUTHENTICATED_WRITE_ACCESS`

  No description available.

  - Value: `32`
  - Available since: 1.0
`FU_EFI_VARIABLE_ATTR_APPEND_WRITE`

  No description available.

  - Value: `64`
  - Available since: 1.0